MITK has migrated from Bugzilla to Phabricator. Please head to our new bug tracking system.
Bug 16651 - Migration of Interactors
Migration of Interactors
Status: RESOLVED FIXED
Product: MITK
Classification: Unclassified
Component: Core
2013-12
All All
: low unspecified
: Unspecified
Assigned To: Christian Weber
:
Depends on: 14492 16424 16647 16807
Blocks:
  Show dependency treegraph
 
Reported: 2013-12-10 14:35 CET by Christian Weber
Modified: 2014-10-16 10:51 CEST (History)
2 users (show)

CAPA Problembeschreibung:
CAPA Bewertung:
CAPA Ursachenanalyse:
CAPA Lösungsansatz:
CAPA Ergebnis Problembehebung:
CAPA Prüfung:
Story:
Feature-/Umsetzungstickets:
Likelihood: ---
m.nolden: Needs_Core_Modification+


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Christian Weber 2013-12-10 14:35:25 CET

    
Comment 1 Christian Weber 2013-12-10 15:19:24 CET
New remote branch pushed: bug-16651-RemoveObsoletePointSetDerivedInteractors
Comment 2 Christian Weber 2013-12-12 11:48:38 CET
New remote branch pushed: bug-16651-FixComparisonOfMouseWheelDirectionWhenNoOptionIsSuppliedInConfigurationFile
Comment 3 Christian Weber 2013-12-12 11:49:49 CET
bug-16651-FixComparisonOfMouseWheelDirectionWhenNoOptionIsSuppliedInConfigurationFile:

Fixes the problem that MouseWheel events are dropped if not scroll direction is supplied in the configuration file.
This is fixed by modifying the IsEqual method of MouseWheelEvent to return equality if the scrolldirection is not specified.
Comment 4 Christian Weber 2013-12-12 11:53:18 CET
Collection of Bugs targeting to switch old Interactor to new Interaction concepts:

This comprised:
- Removal of unused Interactors (or those which functionality now is included in new DataInteractors)
- Updating the Segmentation Tools
- Replacing the PointSetInteractor
Comment 5 Christian Weber 2013-12-12 12:26:24 CET
New remote branch pushed: bug-16651-ReworkOnInteractionDocumentation
Comment 6 Markus Engel 2013-12-12 15:45:02 CET
New remote branch pushed: bug-16651-tools-have-been-adapted-to-new-interaction-framework
Comment 7 Christian Weber 2013-12-12 17:33:21 CET
[fe4de2]: Merge branch 'bug-16651-FixComparisonOfMouseWheelDirectionWhenNoOption
Merged commits:
------------------------------------------------------------------
2013-12-12 11:42:56 Christian Weber [03ec1d]
> -> >=, else not specified direction is ignored
Comment 9 Christian Weber 2014-01-15 13:58:17 CET
Updating the Tutorials and Documentation is continued in Bug 16807
Comment 10 Tobias Schröder 2014-02-25 09:25:42 CET
[b4d5f2]: Merge branch 'bug-16651-tools-have-been-adapted-to-new-interaction-fra
Merged commits:
------------------------------------------------------------------
2014-02-24 13:43:59 Tobias Schroeder [7c724f]
Fix delete point in LiveWire tool

------------------------------------------------------------------
2014-02-24 09:51:51 Tobias Schroeder [a0a8d4]
Set output true value of FillContourInSlice to 1.0

SetRegionTool required false=0 true=1

------------------------------------------------------------------
2014-02-24 09:46:53 Tobias Schroeder [0f852b]
Fixed compile errors

------------------------------------------------------------------
2014-02-21 12:13:40 Tobias Schroeder [6877db]
Merge branch 'bug-16651-tools-have-been-adapted-to-new-interaction-framework' into bug-16651-tools-have-been-adapted-to-new-interaction-framework-integration

------------------------------------------------------------------
2013-12-17 11:00:28 Markus Engel [057a21]
fixed bug in LiveWire Statemachine

------------------------------------------------------------------
2013-12-12 15:44:44 Markus Engel [40950a]
adapted tools to new framework

------------------------------------------------------------------
2013-12-12 14:22:51 Markus Engel [88992c]
adapted ToolManager

------------------------------------------------------------------
2013-12-12 12:01:59 Markus Engel [34d74a]
removed unused bool-flag SupportRoi

------------------------------------------------------------------
2013-12-12 11:58:27 Markus Engel [5e56a5]
adapted mitkTool to new interaction framework

------------------------------------------------------------------
2013-12-12 11:38:14 Markus Engel [481f12]
added new statemachine patterns for tools
Comment 11 Tobias Schröder 2014-02-26 16:59:37 CET
[5f8725]: Merge branch 'bug-16651-segmentation-statemachine-fix'
Merged commits:
------------------------------------------------------------------
2014-02-26 14:32:35 Tobias Schroeder [6ca78e]
Added missing statemachine for tool with wheel interaction.
Comment 12 Christian Weber 2014-10-16 10:51:26 CEST
A lot of rework was done on Interactions and the majority has been merged to the new interaction system. 

The remaining Interactors will be addressed in separate bugs.